datan

## Class SmallSample

- java.lang.Object
- - datan.SmallSample

-     public final class SmallSample
      extends java.lang.Object

  A class providing methods to compute confidence limits for small samples
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmallSample()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `lambdaSignalMinus(int k, double beta, double lambdaback)` Returns the confidence limit lambda_signal- for a small sample in the presence of background.
    `static double` | `lambdaSignalPlus(int k, double beta, double lambdaback)` Returns the confidence limit lambda_signal+ for a small sample in the presence of background.
    `static double` | `lambdaSignalUpper(int k, double beta, double lambdaback)` Returns the confidence limit lambda_signal(up) for a small sample in the presence of background.
    `static double` | `ratioSignalMinus(int k, int d, double beta, double ratioback)` Returns the confidence limit r_signal- for the ratio of signal and reference events in the presence of background.
    `static double` | `ratioSignalPlus(int k, int d, double beta, double ratioback)` Returns the confidence limit r_signal+ for the ratio of signal and reference events in the presence of background.
    `static double` | `ratioSignalUpper(int k, int d, double beta, double ratioback)` Returns the confidence limit r_signal(up) for the ratio of signal and reference events in the presence of background.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmallSample

          public SmallSample()

  - ### Method Detail

    - #### lambdaSignalMinus

          public static double lambdaSignalMinus(int k,
                                 double beta,
                                 double lambdaback)

      Returns the confidence limit lambda_signal- for a small sample in the presence of background.
      Parameters:
        `k` - number of observed events
        `beta` - confidence level.
        `lambdaback` - Poisson parameter of background.
      Returns:
        lambda_signal-.

    - #### lambdaSignalPlus

          public static double lambdaSignalPlus(int k,
                                double beta,
                                double lambdaback)

      Returns the confidence limit lambda_signal+ for a small sample in the presence of background.
      Parameters:
        `k` - number of observed events
        `beta` - confidence level.
        `lambdaback` - Poisson parameter of background.
      Returns:
        lambda_signal+.

    - #### lambdaSignalUpper

          public static double lambdaSignalUpper(int k,
                                 double beta,
                                 double lambdaback)

      Returns the confidence limit lambda_signal(up) for a small sample in the presence of background.
      Parameters:
        `k` - number of observed events
        `beta` - confidence level.
        `lambdaback` - Poisson parameter of background.
      Returns:
        lambda_signal(up).

    - #### ratioSignalMinus

          public static double ratioSignalMinus(int k,
                                int d,
                                double beta,
                                double ratioback)

      Returns the confidence limit r_signal- for the ratio of signal and reference events in the presence of background.
      Parameters:
        `k` - number of observed events..
        `d` - number of reference events.
        `beta` - confidence level.
        `ratioback` - expected ratio of background to reference events.
      Returns:
        r_signal-.

    - #### ratioSignalPlus

          public static double ratioSignalPlus(int k,
                               int d,
                               double beta,
                               double ratioback)

      Returns the confidence limit r_signal+ for the ratio of signal and reference events in the presence of background.
      Parameters:
        `k` - number of observed events..
        `d` - number of reference events.
        `beta` - confidence level.
        `ratioback` - expected ratio of background to reference events.
      Returns:
        r_signal+.

    - #### ratioSignalUpper

          public static double ratioSignalUpper(int k,
                                int d,
                                double beta,
                                double ratioback)

      Returns the confidence limit r_signal(up) for the ratio of signal and reference events in the presence of background.
      Parameters:
        `k` - number of observed events..
        `d` - number of reference events.
        `beta` - confidence level.
        `ratioback` - expected ratio of background to reference events.
      Returns:
        r_signal(up).